function c = vectorComp(img1,img2, method);
    img1  = double(img1);
    img2 = double(img2);

    switch method
        case 1
            %Cosine Distance
            l1 = sqrt(img1*img1');
            l2 = sqrt(img2*img2');
            c = 1 - img1 * img2' / (l1 * l2);
        case 2 
            %Euclidean Distance
            c = sqrt(sum((img1 - img2).^2));
    end
    
return;